libzypp 17.37.10

zypp::PoolItemSaver Struct Reference

Tem. More...

## Public Member Functions
void | saveState (const ResPool &pool_r)
void | saveState (const ResPool &pool_r, const ResKind &kind_r)
void | restoreState (const ResPool &pool_r)
void | restoreState (const ResPool &pool_r, const ResKind &kind_r)
bool | diffState (const ResPool &pool_r) const
bool | diffState (const ResPool &pool_r, const ResKind &kind_r) const

## Detailed Description

Tem.

friend of PoolItem

Definition at line 31 of file ResPoolProxy.cc.

## Member Function Documentation

## ◆ saveState() [1/2]

void zypp::PoolItemSaver::saveState | ( | const ResPool & | pool_r | ) |
| inline

Definition at line 33 of file ResPoolProxy.cc.

## ◆ saveState() [2/2]

void zypp::PoolItemSaver::saveState | ( | const ResPool & | pool_r,
|  | const ResKind & | kind_r )
| inline

Definition at line 39 of file ResPoolProxy.cc.

## ◆ restoreState() [1/2]

void zypp::PoolItemSaver::restoreState | ( | const ResPool & | pool_r | ) |
| inline

Definition at line 45 of file ResPoolProxy.cc.

## ◆ restoreState() [2/2]

void zypp::PoolItemSaver::restoreState | ( | const ResPool & | pool_r,
|  | const ResKind & | kind_r )
| inline

Definition at line 51 of file ResPoolProxy.cc.

## ◆ diffState() [1/2]

bool zypp::PoolItemSaver::diffState | ( | const ResPool & | pool_r | ) | const
| inline

Definition at line 57 of file ResPoolProxy.cc.

## ◆ diffState() [2/2]

bool zypp::PoolItemSaver::diffState | ( | const ResPool & | pool_r,
|  | const ResKind & | kind_r ) const
| inline

Definition at line 64 of file ResPoolProxy.cc.

The documentation for this struct was generated from the following file:

- zypp/ResPoolProxy.cc